/*
 * Performance Metrics Name Space Map
 * Built by pmgenmap.sh from the file
 * systmetrics.map
 * on Wed Apr 17 01:40:13 UTC 2024
 *
 * Do not edit this file!
 */

/*
 *
 * metric names and access macros for photosyst.[ch]
 *
 */

const char *systmetrics[] = {
/* /proc/loadavg */
#define CPU_LOAD	0
	"kernel.all.load",

/* /proc/stat */
#define CPU_CSW	1
	"kernel.all.pswitch",
#define CPU_DEVINT	2
	"kernel.all.intr",
#define CPU_NPROCS	3
	"kernel.all.sysfork",
#define CPU_UTIME	4
	"kernel.all.cpu.user",
#define CPU_NTIME	5
	"kernel.all.cpu.nice",
#define CPU_STIME	6
	"kernel.all.cpu.sys",
#define CPU_ITIME	7
	"kernel.all.cpu.idle",
#define CPU_WTIME	8
	"kernel.all.cpu.wait.total",
#define CPU_HARDIRQ	9
	"kernel.all.cpu.irq.hard",
#define CPU_SOFTIRQ	10
	"kernel.all.cpu.irq.soft",
#define CPU_STEAL	11
	"kernel.all.cpu.steal",
#define CPU_GUEST	12
	"kernel.all.cpu.guest",
#define PERCPU_STIME	13
	"kernel.percpu.cpu.sys",
#define PERCPU_UTIME	14
	"kernel.percpu.cpu.user",
#define PERCPU_NTIME	15
	"kernel.percpu.cpu.nice",
#define PERCPU_ITIME	16
	"kernel.percpu.cpu.idle",
#define PERCPU_WTIME	17
	"kernel.percpu.cpu.wait.total",
#define PERCPU_HARDIRQ	18
	"kernel.percpu.cpu.irq.hard",
#define PERCPU_SOFTIRQ	19
	"kernel.percpu.cpu.irq.soft",
#define PERCPU_STEAL	20
	"kernel.percpu.cpu.steal",
#define PERCPU_GUEST	21
	"kernel.percpu.cpu.guest",

#define PERCPU_FREQ_CLK	22
	"hinv.cpu.clock",
#define PERCPU_FREQ_CNT	23
	"hinv.cpu.frequency_scaling.count",
#define PERCPU_FREQ_HIT	24
	"hinv.cpu.frequency_scaling.time",
#define PERCPU_FREQ_MAX	25
	"hinv.cpu.frequency_scaling.max",

/* /proc/vmstat */
#define MEM_SWINS	26
	"swap.pagesin",
#define MEM_SWOUTS	27
	"swap.pagesout",
#define MEM_SCAN_DDMA	28
	"mem.vmstat.pgscan_direct_dma",
#define MEM_SCAN_DDMA32	29
	"mem.vmstat.pgscan_direct_dma32",
#define MEM_SCAN_DHIGH	30
	"mem.vmstat.pgscan_direct_high",
#define MEM_SCAN_DMOVABLE	31
	"mem.vmstat.pgscan_direct_movable",
#define MEM_SCAN_DNORMAL	32
	"mem.vmstat.pgscan_direct_normal",
#define MEM_SCAN_KDMA	33
	"mem.vmstat.pgscan_kswapd_dma",
#define MEM_SCAN_KDMA32	34
	"mem.vmstat.pgscan_kswapd_dma32",
#define MEM_SCAN_KHIGH	35
	"mem.vmstat.pgscan_kswapd_high",
#define MEM_SCAN_KMOVABLE	36
	"mem.vmstat.pgscan_kswapd_movable",
#define MEM_SCAN_KNORMAL	37
	"mem.vmstat.pgscan_kswapd_normal",
#define MEM_STEAL_DMA	38
	"mem.vmstat.pgsteal_dma",
#define MEM_STEAL_DMA32	39
	"mem.vmstat.pgsteal_dma32",
#define MEM_STEAL_HIGH	40
	"mem.vmstat.pgsteal_high",
#define MEM_STEAL_MOVABLE	41
	"mem.vmstat.pgsteal_movable",
#define MEM_STEAL_NORMAL	42
	"mem.vmstat.pgsteal_normal",
#define MEM_ALLOCSTALL	43
	"mem.vmstat.allocstall",
#define MEM_OOM_KILL	44
	"mem.vmstat.oom_kill",

/* /proc/meminfo */
#define MEM_SWAPCACHED	45
	"mem.util.swapCached",
#define MEM_CACHEMEM	46
	"mem.util.cached",
#define MEM_CACHEDRT	47
	"mem.util.dirty",
#define MEM_PHYSMEM	48
	"mem.physmem",
#define MEM_FREEMEM	49
	"mem.freemem",
#define MEM_BUFFERMEM	50
	"mem.util.bufmem",
#define MEM_SHMEM	51
	"mem.util.shmem",
#define MEM_TOTSWAP	52
	"swap.length",
#define MEM_FREESWAP	53
	"swap.free",
#define MEM_SLABMEM	54
	"mem.util.slab",
#define MEM_SLABRECLAIM	55
	"mem.util.slabReclaimable",
#define MEM_COMMITTED	56
	"mem.util.committed_AS",
#define MEM_COMMITLIM	57
	"mem.util.commitLimit",
#define MEM_TOTHUGEPAGE	58
	"mem.util.hugepagesTotal",
#define MEM_FREEHUGEPAGE	59
	"mem.util.hugepagesFree",
#define HUGEPAGESZ	60
	"hinv.hugepagesize",

/* /sys/kernel/mm/ksm */
#define MEM_KSMSHARED	61
	"mem.ksm.pages_shared",
#define MEM_KSMSHARING	62
	"mem.ksm.pages_sharing",

/* shmctl(2) */
#define MEM_SHMRSS	63
	"ipc.shm.rss",
#define MEM_SHMSWP	64
	"ipc.shm.swp",

/* /proc/net/dev */
#define PERINTF_RBYTE	65
	"network.interface.in.bytes",
#define PERINTF_RPACK	66
	"network.interface.in.packets",
#define PERINTF_RERRS	67
	"network.interface.in.errors",
#define PERINTF_RDROP	68
	"network.interface.in.drops",
#define PERINTF_RFIFO	69
	"network.interface.in.fifo",
#define PERINTF_RFRAME	70
	"network.interface.in.frame",
#define PERINTF_RCOMPR	71
	"network.interface.in.compressed",
#define PERINTF_RMULTIC	72
	"network.interface.in.mcasts",
#define PERINTF_SBYTE	73
	"network.interface.out.bytes",
#define PERINTF_SPACK	74
	"network.interface.out.packets",
#define PERINTF_SERRS	75
	"network.interface.out.errors",
#define PERINTF_SDROP	76
	"network.interface.out.drops",
#define PERINTF_SFIFO	77
	"network.interface.out.fifo",
#define PERINTF_SCOLLIS	78
	"network.interface.collisions",
#define PERINTF_SCARRIER	79
	"network.interface.out.carrier",
#define PERINTF_SCOMPR	80
	"network.interface.out.compressed",

/* /proc/net/snmp */
#define IPV4_Forwarding	81
	"network.ip.forwarding",
#define IPV4_DefaultTTL	82
	"network.ip.defaultttl",
#define IPV4_InReceives	83
	"network.ip.inreceives",
#define IPV4_InHdrErrors	84
	"network.ip.inhdrerrors",
#define IPV4_InAddrErrors	85
	"network.ip.inaddrerrors",
#define IPV4_ForwDatagrams	86
	"network.ip.forwdatagrams",
#define IPV4_InUnknownProtos	87
	"network.ip.inunknownprotos",
#define IPV4_InDiscards	88
	"network.ip.indiscards",
#define IPV4_InDelivers	89
	"network.ip.indelivers",
#define IPV4_OutRequests	90
	"network.ip.outrequests",
#define IPV4_OutDiscards	91
	"network.ip.outdiscards",
#define IPV4_OutNoRoutes	92
	"network.ip.outnoroutes",
#define IPV4_ReasmTimeout	93
	"network.ip.reasmtimeout",
#define IPV4_ReasmReqds	94
	"network.ip.reasmreqds",
#define IPV4_ReasmOKs	95
	"network.ip.reasmoks",
#define IPV4_ReasmFails	96
	"network.ip.reasmfails",
#define IPV4_FragOKs	97
	"network.ip.fragoks",
#define IPV4_FragFails	98
	"network.ip.fragfails",
#define IPV4_FragCreates	99
	"network.ip.fragcreates",
#define ICMP4_InMsgs	100
	"network.icmp.inmsgs",
#define ICMP4_InErrors	101
	"network.icmp.inerrors",
#define ICMP4_InDestUnreachs	102
	"network.icmp.indestunreachs",
#define ICMP4_InTimeExcds	103
	"network.icmp.intimeexcds",
#define ICMP4_InParmProbs	104
	"network.icmp.inparmprobs",
#define ICMP4_InSrcQuenchs	105
	"network.icmp.insrcquenchs",
#define ICMP4_InRedirects	106
	"network.icmp.inredirects",
#define ICMP4_InEchos	107
	"network.icmp.inechos",
#define ICMP4_InEchoReps	108
	"network.icmp.inechoreps",
#define ICMP4_InTimestamps	109
	"network.icmp.intimestamps",
#define ICMP4_InTimestampReps	110
	"network.icmp.intimestampreps",
#define ICMP4_InAddrMasks	111
	"network.icmp.inaddrmasks",
#define ICMP4_InAddrMaskReps	112
	"network.icmp.inaddrmaskreps",
#define ICMP4_OutMsgs	113
	"network.icmp.outmsgs",
#define ICMP4_OutErrors	114
	"network.icmp.outerrors",
#define ICMP4_OutDestUnreachs	115
	"network.icmp.outdestunreachs",
#define ICMP4_OutTimeExcds	116
	"network.icmp.outtimeexcds",
#define ICMP4_OutParmProbs	117
	"network.icmp.outparmprobs",
#define ICMP4_OutSrcQuenchs	118
	"network.icmp.outsrcquenchs",
#define ICMP4_OutRedirects	119
	"network.icmp.outredirects",
#define ICMP4_OutEchos	120
	"network.icmp.outechos",
#define ICMP4_OutEchoReps	121
	"network.icmp.outechoreps",
#define ICMP4_OutTimestamps	122
	"network.icmp.outtimestamps",
#define ICMP4_OutTimestampReps	123
	"network.icmp.outtimestampreps",
#define ICMP4_OutAddrMasks	124
	"network.icmp.outaddrmasks",
#define ICMP4_OutAddrMaskReps	125
	"network.icmp.outaddrmaskreps",
#define TCP_RtoAlgorithm	126
	"network.tcp.rtoalgorithm",
#define TCP_RtoMin	127
	"network.tcp.rtomin",
#define TCP_RtoMax	128
	"network.tcp.rtomax",
#define TCP_MaxConn	129
	"network.tcp.maxconn",
#define TCP_ActiveOpens	130
	"network.tcp.activeopens",
#define TCP_PassiveOpens	131
	"network.tcp.passiveopens",
#define TCP_AttemptFails	132
	"network.tcp.attemptfails",
#define TCP_EstabResets	133
	"network.tcp.estabresets",
#define TCP_CurrEstab	134
	"network.tcp.currestab",
#define TCP_InSegs	135
	"network.tcp.insegs",
#define TCP_OutSegs	136
	"network.tcp.outsegs",
#define TCP_RetransSegs	137
	"network.tcp.retranssegs",
#define TCP_InErrs	138
	"network.tcp.inerrs",
#define TCP_OutRsts	139
	"network.tcp.outrsts",
#define UDPV4_InDatagrams	140
	"network.udp.indatagrams",
#define UDPV4_NoPorts	141
	"network.udp.noports",
#define UDPV4_InErrors	142
	"network.udp.inerrors",
#define UDPV4_OutDatagrams	143
	"network.udp.outdatagrams",

/* /proc/net/snmp6 */
#define IPV6_InReceives	144
	"network.ip6.inreceives",
#define IPV6_InHdrErrors	145
	"network.ip6.inhdrerrors",
#define IPV6_InTooBigErrors	146
	"network.ip6.intoobigerrors",
#define IPV6_InNoRoutes	147
	"network.ip6.innoroutes",
#define IPV6_InAddrErrors	148
	"network.ip6.inaddrerrors",
#define IPV6_InUnknownProtos	149
	"network.ip6.inunknownprotos",
#define IPV6_InTruncatedPkts	150
	"network.ip6.intruncatedpkts",
#define IPV6_InDiscards	151
	"network.ip6.indiscards",
#define IPV6_InDelivers	152
	"network.ip6.indelivers",
#define IPV6_OutForwDatagrams	153
	"network.ip6.outforwdatagrams",
#define IPV6_OutRequests	154
	"network.ip6.outrequests",
#define IPV6_OutDiscards	155
	"network.ip6.outdiscards",
#define IPV6_OutNoRoutes	156
	"network.ip6.outnoroutes",
#define IPV6_ReasmTimeout	157
	"network.ip6.reasmtimeout",
#define IPV6_ReasmReqds	158
	"network.ip6.reasmreqds",
#define IPV6_ReasmOKs	159
	"network.ip6.reasmoks",
#define IPV6_ReasmFails	160
	"network.ip6.reasmfails",
#define IPV6_FragOKs	161
	"network.ip6.fragoks",
#define IPV6_FragFails	162
	"network.ip6.fragfails",
#define IPV6_FragCreates	163
	"network.ip6.fragcreates",
#define IPV6_InMcastPkts	164
	"network.ip6.inmcastpkts",
#define IPV6_OutMcastPkts	165
	"network.ip6.outmcastpkts",
#define ICMPV6_InMsgs	166
	"network.icmp6.inmsgs",
#define ICMPV6_InErrors	167
	"network.icmp6.inerrors",
#define ICMPV6_InDestUnreachs	168
	"network.icmp6.indestunreachs",
#define ICMPV6_InPktTooBigs	169
	"network.icmp6.inpkttoobigs",
#define ICMPV6_InTimeExcds	170
	"network.icmp6.intimeexcds",
#define ICMPV6_InParmProblems	171
	"network.icmp6.inparmproblems",
#define ICMPV6_InEchos	172
	"network.icmp6.inechos",
#define ICMPV6_InEchoReplies	173
	"network.icmp6.inechoreplies",
#define ICMPV6_InGroupMembQueries	174
	"network.icmp6.ingroupmembqueries",
#define ICMPV6_InGroupMembResponses	175
	"network.icmp6.ingroupmembresponses",
#define ICMPV6_InGroupMembReductions	176
	"network.icmp6.ingroupmembreductions",
#define ICMPV6_InRouterSolicits	177
	"network.icmp6.inroutersolicits",
#define ICMPV6_InRouterAdvertisements	178
	"network.icmp6.inrouteradvertisements",
#define ICMPV6_InNeighborSolicits	179
	"network.icmp6.inneighborsolicits",
#define ICMPV6_InNeighborAdvertisements	180
	"network.icmp6.inneighboradvertisements",
#define ICMPV6_InRedirects	181
	"network.icmp6.inredirects",
#define ICMPV6_OutMsgs	182
	"network.icmp6.outmsgs",
#define ICMPV6_OutDestUnreachs	183
	"network.icmp6.outdestunreachs",
#define ICMPV6_OutPktTooBigs	184
	"network.icmp6.outpkttoobigs",
#define ICMPV6_OutTimeExcds	185
	"network.icmp6.outtimeexcds",
#define ICMPV6_OutParmProblems	186
	"network.icmp6.outparmproblems",
#define ICMPV6_OutEchoReplies	187
	"network.icmp6.outechoreplies",
#define ICMPV6_OutRouterSolicits	188
	"network.icmp6.outroutersolicits",
#define ICMPV6_OutNeighborSolicits	189
	"network.icmp6.outneighborsolicits",
#define ICMPV6_OutNeighborAdvertisements	190
	"network.icmp6.outneighboradvertisements",
#define ICMPV6_OutRedirects	191
	"network.icmp6.outredirects",
#define ICMPV6_OutGroupMembResponses	192
	"network.icmp6.outgroupmembresponses",
#define ICMPV6_OutGroupMembReductions	193
	"network.icmp6.outgroupmembreductions",
#define UDPV6_InDatagrams	194
	"network.udp6.indatagrams",
#define UDPV6_NoPorts	195
	"network.udp6.noports",
#define UDPV6_InErrors	196
	"network.udp6.inerrors",
#define UDPV6_OutDatagrams	197
	"network.udp6.outdatagrams",

/* /proc/diskstats or /proc/partitions */
#define PERDISK_NREAD	198
	"disk.dev.read",
#define PERDISK_NRSECT	199
	"disk.dev.blkread",
#define PERDISK_NWRITE	200
	"disk.dev.write",
#define PERDISK_NWSECT	201
	"disk.dev.blkwrite",
#define PERDISK_IO_MS	202
	"disk.dev.avactive",
#define PERDISK_AVEQ	203
	"disk.dev.aveq",
#define PERDM_NREAD	204
	"disk.dm.read",
#define PERDM_NRSECT	205
	"disk.dm.blkread",
#define PERDM_NWRITE	206
	"disk.dm.write",
#define PERDM_NWSECT	207
	"disk.dm.blkwrite",
#define PERMD_NREAD	208
	"disk.md.read",
#define PERMD_NRSECT	209
	"disk.md.blkread",
#define PERMD_NWRITE	210
	"disk.md.write",
#define PERMD_NWSECT	211
	"disk.md.blkwrite",

/* /proc/net/rpc/nfsd */
#define NFS_RCHITS	212
	"rpc.server.rchits",
#define NFS_RCMISS	213
	"rpc.server.rcmisses",
#define NFS_RCNOCACHE	214
	"rpc.server.rcnocache",
#define NFS_IORD	215
	"rpc.server.io_read",
#define NFS_IOWR	216
	"rpc.server.io_write",
#define NFS_NETCNT	217
	"rpc.server.netcnt",
#define NFS_UDP	218
	"rpc.server.netudpcnt",
#define NFS_TCP	219
	"rpc.server.nettcpcnt",
#define NFS_TCPCONN	220
	"rpc.server.nettcpconn",
#define NFS_RPCCNT	221
	"rpc.server.rpccnt",
#define NFS_RPCBADFMT	222
	"rpc.server.rpcbadfmt",
#define NFS_RPCBADAUTH	223
	"rpc.server.rpcbadauth",
#define NFS_RPCBADCLNT	224
	"rpc.server.rpcbadclnt",
#define NFS_REQS	225
	"nfs.server.reqs",
#define NFS3_REQS	226
	"nfs3.server.reqs",
#define NFS4_REQS	227
	"nfs4.server.reqs",

/* /proc/net/rpc/nfs */
#define NFC_RPCCNT	228
	"rpc.client.rpccnt",
#define NFC_RETRANS	229
	"rpc.client.rpcretrans",
#define NFC_AUTHREFRESH	230
	"rpc.client.rpcauthrefresh",
#define NFC_REQS	231
	"nfs.client.reqs",
#define NFC3_REQS	232
	"nfs3.client.reqs",
#define NFC4_REQS	233
	"nfs4.client.reqs",

/* /proc/self/mountstats */
#define PERNFS_EXPORT	234
	"nfsclient.export",
#define PERNFS_AGE	235
	"nfsclient.age",
#define PERNFS_RDBYTES	236
	"nfsclient.bytes.read.normal",
#define PERNFS_WRBYTES	237
	"nfsclient.bytes.write.normal",
#define PERNFS_DRDBYTES	238
	"nfsclient.bytes.read.direct",
#define PERNFS_DWRBYTES	239
	"nfsclient.bytes.write.direct",
#define PERNFS_TOTRDBYTES	240
	"nfsclient.bytes.read.server",
#define PERNFS_TOTWRBYTES	241
	"nfsclient.bytes.write.server",
#define PERNFS_RDPAGES	242
	"nfsclient.pages.read",
#define PERNFS_WRPAGES	243
	"nfsclient.pages.write",

/* /proc/pressure/{cpu,memory,io} */
#define PSI_CPUSOME_AVG	244
	"kernel.all.pressure.cpu.some.avg",
#define PSI_CPUSOME_TOTAL	245
	"kernel.all.pressure.cpu.some.total",
#define PSI_MEMSOME_AVG	246
	"kernel.all.pressure.memory.some.avg",
#define PSI_MEMSOME_TOTAL	247
	"kernel.all.pressure.memory.some.total",
#define PSI_MEMFULL_AVG	248
	"kernel.all.pressure.memory.full.avg",
#define PSI_MEMFULL_TOTAL	249
	"kernel.all.pressure.memory.full.total",
#define PSI_IOSOME_AVG	250
	"kernel.all.pressure.io.some.avg",
#define PSI_IOSOME_TOTAL	251
	"kernel.all.pressure.io.some.total",
#define PSI_IOFULL_AVG	252
	"kernel.all.pressure.io.full.avg",
#define PSI_IOFULL_TOTAL	253
	"kernel.all.pressure.io.full.total",

/* /proc/spl/kstat/zfs/arcstats */
#define ZFS_ARCSIZE	254
	"zfs.arc.size",

/* /sys/kernel/debug/zswap */
#define ZSWAP_TOTALSIZE	255
	"zswap.pool_total_size",
#define ZSWAP_STOREDMEM	256
	"zswap.stored_pages",

/* hardware events */
#define PERCPU_PERF_INST1	257
	"perfevent.hwcounters.INSTRUCTION_RETIRED.value",
#define PERCPU_PERF_INSTR	258
	"perfevent.hwcounters.INSTRUCTIONS_RETIRED.value",
#define PERCPU_PERF_CYCLE	259
	"perfevent.hwcounters.UNHALTED_REFERENCE_CYCLES.value",

/* Infiniband */
#define PERIFB_PORT_LID	260
	"infiniband.port.lid",
#define PERIFB_PORT_RATE	261
	"infiniband.port.rate",
#define PERIFB_PORT_WIDTH	262
	"infiniband.port.linkwidth",
#define PERIFB_PORT_INB	263
	"infiniband.port.in.bytes",
#define PERIFB_PORT_OUTB	264
	"infiniband.port.out.bytes",
#define PERIFB_PORT_INPKT	265
	"infiniband.port.in.packets",
#define PERIFB_PORT_OUTPKT	266
	"infiniband.port.out.packets",

/* http status */
#define WWW_ACCESSES	267
	"apache.total_accesses",
#define WWW_TOTKBYTES	268
	"apache.total_kbytes",
#define WWW_UPTIME	269
	"apache.uptime",
#define WWW_BWORKERS	270
	"apache.busy_servers",
#define WWW_IWORKERS	271
	"apache.idle_servers",

/* Nvidia GPUs */
#define GPU_CARDNAME	272
	"nvidia.cardname",
#define GPU_BUSID	273
	"nvidia.busid",
#define GPU_GPUBUSY	274
	"nvidia.gpuactive",
#define GPU_MEMBUSY	275
	"nvidia.memactive",
#define GPU_MEMUSED	276
	"nvidia.memused",
#define GPU_MEMTOTAL	277
	"nvidia.memtotal",
#define GPU_NGPUPROCS	278
	"nvidia.nprocs",
#define GPU_SAMPLES	279
	"nvidia.samples",
#define GPU_GPUBUSY_ACCUM	280
	"nvidia.gpuutilaccum",
#define GPU_MEMBUSY_ACCUM	281
	"nvidia.memutilaccum",
#define GPU_MEMUSED_ACCUM	282
	"nvidia.memusedaccum",

/* end marker - provides count */
#define SYST_NMETRICS	283
	".",

};

